Bug 1461368 - Review Request: mingw-pcre2 - MinGW Windows pcre2 library
Review Request: mingw-pcre2 - MinGW Windows pcre2 library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Rosser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 06:06 EDT by Sandro Mani
Modified: 2017-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 12:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rosser.bjr: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2017-06-14 06:06:00 EDT
Spec URL: https://smani.fedorapeople.org/review/mingw-pcre2.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-pcre2-10.23-1.fc27.src.rpm
Description: MinGW Windows pcre2 library
Fedora Account System Username: smani
Comment 1 Ben Rosser 2017-07-07 17:02:48 EDT
A couple of initial comments. I'm not terribly familiar with MinGW, so apologies if any of these are stupid things to ask.

- What's the purpose of these four lines?

rm -rf %{buildroot}%{mingw32_datadir}/doc/*
rm -rf %{buildroot}%{mingw64_datadir}/doc/*
rm -rf %{buildroot}%{mingw32_datadir}/man/*
rm -rf %{buildroot}%{mingw64_datadir}/man/*

https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Filesystem_location_macros implies that this is indeed where man pages should be installed. Is there a reason they're being removed by %install? If so that should be stated in a comment somewhere.

- Closely related to the above comment, but all four built packages have no documentation. Is there something that can be installed somwehere? Is there a reason that whatever gets installed in %install isn't kept?

- The -static subpackages should have a %license tag as well, as they can be installed separately from the main packages.

- pcre2grep and pcre2test are listed twice in both the mingw32 and mingw64 file lists; is there a reason for this?

%{mingw32_bindir}/pcre2grep.exe
%{mingw32_bindir}/pcre2test.exe
%{mingw32_bindir}/pcre2grep.exe
%{mingw32_bindir}/pcre2test.exe

Otherwise, I think the package is okay.
Comment 2 Sandro Mani 2017-07-07 17:40:31 EDT
Spec URL: https://smani.fedorapeople.org/review/mingw-pcre2.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-pcre2-10.23-2.fc27.src.rpm

%changelog
* Fri Jul 07 2017 Sandro Mani <manisandro@gmail.com> - 10.23-2
- Remove duplicate listed files in %%files
- Add %%license to static packages



In MinGW packages, generic documentation isn't installed according to [1].

The files listed twice are indeed a typo.

And correct, the static subpackages need a %license also.

[1] https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Files_which_are_already_part_of_native_packages
Comment 3 Ben Rosser 2017-07-08 10:22:15 EDT
> In MinGW packages, generic documentation isn't installed according to [1].

I see; this makes sense.

There are a lot of rpmlint warnings, but I think they're all sadly expected... the only ones that I'm dubious about are those of the form:

mingw64-pcre2.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a

Do the .dll.a files need to be executable?

Anyway, I think everything else looks good so I'm going to mark the package approved. (If the .dll.a files don't need to be executable consider fixing it on import).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "GPL", "Unknown or generated", "MIT/X11 (BSD
     like)", "*No copyright* BSD (3 clause)", "BSD (3 clause)", "BSD (2
     clause)", "FSF All Permissive". 301 files have unknown license.
     Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1461368-mingw-
     pcre2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root, /usr/i686-w64-mingw32/sys-root/mingw/bin, /usr/i686-w64-mingw32
     /sys-root/mingw, /usr/i686-w64-mingw32/sys-root,
     /usr/x86_64-w64-mingw32, /usr/i686-w64-mingw32/sys-root/mingw/lib,
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig,
     /usr/i686-w64-mingw32, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig, /usr/i686-w64-mingw32/sys-
     root/mingw/include, /usr/x86_64-w64-mingw32/sys-root/mingw,
     /usr/x86_64-w64-mingw32/sys-root/mingw/bin, /usr/x86_64-w64-mingw32
     /sys-root/mingw/include, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-pcre2 , mingw32-pcre2-static , mingw64-pcre2 ,
     mingw64-pcre2-static , mingw32-pcre2-debuginfo ,
     mingw64-pcre2-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-pcre2 : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libpcre2-16.pc mingw64-pcre2 :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-32.pc
     mingw64-pcre2 : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libpcre2-8.pc mingw64-pcre2 :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-posix.pc
     mingw32-pcre2 : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libpcre2-16.pc mingw32-pcre2 :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-32.pc
     mingw32-pcre2 : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libpcre2-8.pc mingw32-pcre2 :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-posix.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-pcre2-10.23-2.fc27.noarch.rpm
          mingw32-pcre2-static-10.23-2.fc27.noarch.rpm
          mingw64-pcre2-10.23-2.fc27.noarch.rpm
          mingw64-pcre2-static-10.23-2.fc27.noarch.rpm
          mingw32-pcre2-debuginfo-10.23-2.fc27.noarch.rpm
          mingw64-pcre2-debuginfo-10.23-2.fc27.noarch.rpm
          mingw-pcre2-10.23-2.fc27.src.rpm
mingw32-pcre2.noarch: W: no-documentation
mingw32-pcre2-static.noarch: W: no-documentation
mingw64-pcre2.noarch: W: no-documentation
mingw64-pcre2-static.noarch: W: no-documentation
mingw32-pcre2-debuginfo.noarch: E: debuginfo-without-sources
mingw64-pcre2-debuginfo.noarch: E: debuginfo-without-sources
mingw-pcre2.src: W: spelling-error %description -l en_US libpcreposix -> prepositional
mingw-pcre2.src: W: spelling-error %description -l en_US pcreposix -> preposition
7 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw64-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-16.a
mingw64-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-32.a
mingw64-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-8.a
mingw64-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.a
mingw64-pcre2-static.noarch: W: no-documentation
mingw64-pcre2-static.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-16.a
mingw32-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-32.a
mingw32-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-8.a
mingw32-pcre2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.a
mingw32-pcre2-static.noarch: W: no-documentation
mingw32-pcre2-static.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw32-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw32-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw32-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw32-pcre2.noarch: W: no-documentation
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/bin/pcre2-config
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/pcre2.h
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/pcre2posix.h
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw32-pcre2.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw32-pcre2.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw32-pcre2.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw32-pcre2.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-16.pc
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-32.pc
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-8.pc
mingw32-pcre2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-posix.pc
mingw32-pcre2.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-pcre2-debuginfo.noarch: E: debuginfo-without-sources
mingw64-pcre2-debuginfo.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw64-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw64-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw64-pcre2.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw64-pcre2.noarch: W: no-documentation
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/bin/pcre2-config
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/pcre2.h
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/pcre2posix.h
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw64-pcre2.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-16.dll.a
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw64-pcre2.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-32.dll.a
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw64-pcre2.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-8.dll.a
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw64-pcre2.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libpcre2-posix.dll.a
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-16.pc
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-32.pc
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-8.pc
mingw64-pcre2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libpcre2-posix.pc
mingw64-pcre2.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-pcre2-debuginfo.noarch: E: debuginfo-without-sources
mingw32-pcre2-debuginfo.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
6 packages and 0 specfiles checked; 18 errors, 40 warnings.



Requires
--------
mingw64-pcre2-static (rpmlib, GLIBC filtered):

mingw32-pcre2-static (rpmlib, GLIBC filtered):

mingw32-pcre2 (rpmlib, GLIBC filtered):

mingw64-pcre2-debuginfo (rpmlib, GLIBC filtered):

mingw64-pcre2 (rpmlib, GLIBC filtered):

mingw32-pcre2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
mingw64-pcre2-static:
    mingw64-pcre2-static

mingw32-pcre2-static:
    mingw32-pcre2-static

mingw32-pcre2:
    mingw32-pcre2

mingw64-pcre2-debuginfo:
    mingw64-pcre2-debuginfo

mingw64-pcre2:
    mingw64-pcre2

mingw32-pcre2-debuginfo:
    mingw32-pcre2-debuginfo



Source checksums
----------------
ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre2-10.23.tar.bz2 :
  CHECKSUM(SHA256) this package     : dfc79b918771f02d33968bd34a749ad7487fa1014aeb787fad29dd392b78c56e
  CHECKSUM(SHA256) upstream package : dfc79b918771f02d33968bd34a749ad7487fa1014aeb787fad29dd392b78c56e


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1461368 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Sandro Mani 2017-07-08 17:13:42 EDT
I don't think there is any purpose in them being executable, I'll remove the exec bit.

Thanks for the review!
Comment 5 Gwyn Ciesla 2017-07-08 20:55:11 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mingw-pcre2
Comment 6 Fedora Update System 2017-07-09 10:28:05 EDT
mingw-pcre2-10.23-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6880e59ec3
Comment 7 Fedora Update System 2017-07-12 04:36:06 EDT
mingw-pcre2-10.23-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6880e59ec3
Comment 8 Fedora Update System 2017-08-01 12:22:43 EDT
mingw-pcre2-10.23-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.